Bug 1121053 - Custom quartz.properties file for SwitchYard Quartz binding is not loaded
Summary: Custom quartz.properties file for SwitchYard Quartz binding is not loaded
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR5
: ---
Assignee: Brian Fitzpatrick
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 09:29 UTC by Tadayoshi Sato
Modified: 2018-12-09 18:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1970 Major Resolved Custom quartz.properties for Scheduling binding are not loaded 2016-04-19 11:59:32 UTC

Description Tadayoshi Sato 2014-07-18 09:29:46 UTC
Description of problem:

Platform BZ for https://issues.jboss.org/browse/SWITCHYARD-1970

Currently you can't supply custom quartz.properties for scheduler binding. The default quartz.properties in quartz-1.8.5.jar is loaded even if you provide your custom properties in your sy module as a resource on org/quartz/quartz.properties path.

Version-Release number of selected component (if applicable):
SY: 1.1.1-p5-redhat-1
camel-quartz: 2.10.0.redhat-60024
quartz: 1.8.5

How reproducible:
Always

Steps to Reproduce:
1. Pick up the 'camel-quartz-binding' quickstart.
2. Add src/main/resources/org/quartz/quartz.properties with "org.quartz.threadPool.threadCount = 1" to the quickstart.
3. Package and deploy it to FSW 6.0.0.

Actual results:
10 threads spawn:
18:25:06,014 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-2) 1. Service executed.
18:25:07,011 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-3) 2. Service executed.
18:25:08,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-4) 3. Service executed.
18:25:09,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-5) 4. Service executed.
18:25:10,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-6) 5. Service executed.
18:25:11,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-7) 6. Service executed.
18:25:12,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-8) 7. Service executed.
18:25:13,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-9) 8. Service executed.
18:25:14,004 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-10) 9. Service executed.
18:25:15,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 10. Service executed.


Expected results:
Only 1 thread spawn:
18:25:06,014 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 1. Service executed.
18:25:07,011 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 2. Service executed.
18:25:08,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 3. Service executed.
18:25:09,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 4. Service executed.
18:25:10,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 5. Service executed.
18:25:11,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 6. Service executed.
18:25:12,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 7. Service executed.
18:25:13,007 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 8. Service executed.
18:25:14,004 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 9. Service executed.
18:25:15,006 INFO  [stdout] (DefaultQuartzScheduler-camel-1_Worker-1) 10. Service executed.

Comment 1 Keith Babo 2014-09-22 11:33:11 UTC
Some info on root cause here:
https://developer.jboss.org/message/857694?et=watches.email.thread#857694

Comment 2 Tadayoshi Sato 2014-12-15 05:35:08 UTC
Sent PR to this bug. Please review it.
https://github.com/jboss-switchyard/components/pull/752


Note You need to log in before you can comment on or make changes to this bug.